How to play pirated games on my 2DS?

Discussion in '3DS - Homebrew Development and Emulators' started by syringe, Oct 23, 2016.

  1. syringe
    OP

    syringe Member

    Newcomer
    37
    4
    Oct 23, 2016
    Canada
    i used oot3dhax to get homebrew onto my 2ds. i want to be able to play pirated games on my 2ds. how would i be able to do that? would i have to downgrade to 9.2 or something like that?
    thanks for any help.
     
  2. Robz8

    Robz8 Coolest of TWL

    Member
    7,053
    2,986
    Oct 1, 2010
    United States
    What firmware is your 2DS?
     
  3. x65943

    x65943 Resident Greekaboo, Amateur Dog Father

    Member
    2,579
    2,211
    Jun 23, 2014
    United States
    Indiana
  4. McWhiters9511

    McWhiters9511 That's Rad Bro

    Member
    1,156
    581
    Mar 28, 2016
    United States
    Space
    yes. you would have to downgrade to 9.2 then most people recommend installing a9lh and a cfw
     
  5. syringe
    OP

    syringe Member

    Newcomer
    37
    4
    Oct 23, 2016
    Canada
    im on 10.7.
    i read up on a9lh, it doesnt seem necessary to me and seems like a lengthy process. can i install a cfw and play games through that?

    also, is it safe to downgrade? i wont brick will i?
    good looks

    another thing, why do i have to wait for a period of time to post a reply?
     
  6. McWhiters9511

    McWhiters9511 That's Rad Bro

    Member
    1,156
    581
    Mar 28, 2016
    United States
    Space
    a9lh isnt necessary, but it adds extra security. you dont have to of course. the guide shows you how to install luma cfw as well where you can pirate away
     
  7. ThisIsDaAccount

    ThisIsDaAccount GBAtemp Advanced Fan

    Member
    814
    388
    Apr 8, 2016
    United States
    The process for installing a CFW without A9LH is also lengthy (not much difference with A9LH) and it's definitely inferior.
     
  8. AlexanderLS

    AlexanderLS GBAtemp Regular

    Member
    179
    51
    Oct 7, 2016
    United States
    You should upgrade to 9.2 temporarily.
    Once you get A9LH installed, you can upgrade to the latest firmware.
    With 10.7 firmware you will need a9lh to install pirated games.
    9.2 was the last version that played really well with homebrew.
    A9LH is not that hard once you figure out howto do it.
    Use https://github.com/Plailect/PlaiSysUpdater/releases/
    Honestly getting your system homebrew is a one time process of following instructions and gruntwork.
     
    Last edited by AlexanderLS, Oct 23, 2016
  9. McWhiters9511

    McWhiters9511 That's Rad Bro

    Member
    1,156
    581
    Mar 28, 2016
    United States
    Space
    No. a9lh is not required for piracy. But it is highly recommend.
     
  10. AlexanderLS

    AlexanderLS GBAtemp Regular

    Member
    179
    51
    Oct 7, 2016
    United States
    Wouldn't he have to make custom legit CIAs for every game?
    The process for creating those legit CIAs relying on heavily unreliable exploits.
    Seems like that would be ALOT more work in the long run, plus he would lose it as soon as his system updates.
    Once he gets a9lh/luma 3ds he can just use freeshop on the latest firmware.
     
    Last edited by AlexanderLS, Oct 23, 2016
  11. syringe
    OP

    syringe Member

    Newcomer
    37
    4
    Oct 23, 2016
    Canada
    so if i want a cfw, i may as well get a9lh? whats so good about a9lh other than security? i heard u can run 2 firmwares (9.2 and the latest) but i dont think you need a9lh for that, do you?
    okay, ill downgrade my system to 9.2 (from 10.7). there should be no problems or is there a chance my system will brick?
    then i can follow the steps to installing a cfw/a9lh and ill be able to play pirated games right?
     
  12. McWhiters9511

    McWhiters9511 That's Rad Bro

    Member
    1,156
    581
    Mar 28, 2016
    United States
    Space
    many cfws can use freeshop and dont need legit cias. i dont know any that need legit ones actually. i use gateway all the time and its just like luma with extra cheat support
     
  13. AlexanderLS

    AlexanderLS GBAtemp Regular

    Member
    179
    51
    Oct 7, 2016
    United States
    It's more or less the equivalent to rooting. Right now you have limited userland access to the system, with a9lh you will have complete access.

    PlaiSysUpdater is based off safesysupdater so the risk is very low just make sure you get the proper downgrade files.

    Gateway is a $50-$80 option which may not be viable for him.
    When I got my n3ds running 10.7 I was unable to run any cfw in userland.
    Ultimately I think he would still be much better off with a9lh installed.

    Homebrew that runs on 10.7 was a very mixed bad for me, many things simply didn't work.
    He may be more lucky, but with less than a hour he could have A9LH installed and have no more issues.
     
    Last edited by AlexanderLS, Oct 23, 2016
  14. syringe
    OP

    syringe Member

    Newcomer
    37
    4
    Oct 23, 2016
    Canada
    how do i know if i have the proper downgrade files? i just downloaded the starter.zip off the a9lh guide site and booted the 2ds
     
  15. ThisIsDaAccount

    ThisIsDaAccount GBAtemp Advanced Fan

    Member
    814
    388
    Apr 8, 2016
    United States
    A9LH has better boot times and will boot correctly all the time, while just an emunand does not. It also has better gba support (you can actually back up your save files) and you'll be able to update the firmware without losing access to anything.
     
  16. AlexanderLS

    AlexanderLS GBAtemp Regular

    Member
    179
    51
    Oct 7, 2016
    United States
    *removed*
    Somebody else more knowledgeable will have to tell you which version.
    If the 2ds really uses o3ds hw you might have to downgrade to an even older version.
    If you bought your 2ds as US system it should be *Removed*
    Assuming it uses o3ds hw/fw I really don't know for sure.

    Edit: Removed Links.
    Go https://gbatemp.net/threads/simple-guide-to-downgrading-your-3ds.407888/
    Then to Video, under the Show More.
    The downgrade files aren't warez however they could be considered piracy, I'm guessing that is what the other users mean.
     
    Last edited by AlexanderLS, Oct 23, 2016
  17. Robz8

    Robz8 Coolest of TWL

    Member
    7,053
    2,986
    Oct 1, 2010
    United States
    Please remove these links, as it's against the rules to share links containing warez.
     
    KunoichiZ likes this.
  18. syringe
    OP

    syringe Member

    Newcomer
    37
    4
    Oct 23, 2016
    Canada
    yeah, i got mine in canada so itd be a US region system
    so i should ask on that site what firmware version i need?
    if say the firmware version u gave me was correct, how do i make my 2ds set to downgrade to that specific firmware?
     
  19. MuscleMuscleHust

    MuscleMuscleHust Advanced Member

    Newcomer
    92
    12
    Apr 12, 2016
    United States
    Isn't it against the rules?
     
  20. Robz8

    Robz8 Coolest of TWL

    Member
    7,053
    2,986
    Oct 1, 2010
    United States
    Yep. It's against the rules to share links containing warez, but I already told him/her.